﻿@using TestYourSkills.Core.Enums
@model QuizViewModel

<link rel="stylesheet" href="/css/topics/topic.css" xmlns="http://www.w3.org/1999/html"/>

<div class="card-text shadow border-0 mt-4">
    <div class="card-header bg-primary">
        <div class="row">
            <div class="col-12 text-center">
                 <h2 class="text-white py-2">@Model.TopicName</h2> 
            </div>
        </div>
    </div>
    <div class="card-body p-3">
        <form asp-action="Quiz" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input asp-for="QuizId" hidden/>
            <input asp-for="TopicName" hidden/>
            <input asp-for="CurrentQuestion" hidden/>
            <input asp-for="TotalQuestionsCount" hidden/>
            <input asp-for="Question.Title" hidden/>
            <input asp-for="Question.Id" hidden/>
            <div class="form-group">
                <div class="row">
                    <div class="col-12 col-md-3">
                        <a asp-controller="Home" asp-action="Section" class="btn btn-outline-secondary form-control">Back to Section</a>
                    </div>
                    <div class="col-12 text-end">@Model.CurrentQuestion/@Model.TotalQuestionsCount</div>
                </div>
            </div>
            <h4 class="col-12 fw-semibold" rows="3">@Model.Question.Title</h4>

            @if (Model.Question.Details != null)
            {
                <textarea class="form-control" rows="3">@Model.Question.Details</textarea>
            }

            @if (Model.Question.MultiAnswers)
            {
                <label class="form-label mb-2">More then 1 answer</label>
            }
            else
            {
                <label class="form-label mb-2">Only 1 answer</label>
            }

            @if (Model.Question.QuestionAnswers != null)
            {
                foreach (var questionAnswer in Model.Question.QuestionAnswers)
                {
                    <div class="row">
                        <fieldset class="form-group">
                            <div class="form-check">
                                <label class="radio-button">
                                    @if (Model.Question.MultiAnswers)
                                    {
                                        <input type="checkbox" name="UserAnswer.Ids" value="@questionAnswer.Id"/>
                                    }
                                    else
                                    {
                                        <input type="radio" name="UserAnswer.Ids" value="@questionAnswer.Id"/>
                                    }
                                    <span class="checkmark"></span>
                                    @questionAnswer.Message
                                </label>
                            </div>
                        </fieldset>
                    </div>
                }
            }

            @if (Model.MessageForUser != null)
            {
                <h3>@Html.Raw(@Model.MessageForUser)</h3>
            }
            <div class="row p-3">
                <div class="btn-group col-md-6 offset-md-3" role="group">
                    
                    @if (Model.MessageForUser == null)
                    {
                        @* <button type="submit" class="btn btn-primary" asp-route-actionId="@QuizActionType.CheckAnswer">Check answers</button> *@
                        <button type="submit" class="btn btn-primary" asp-route-actionId="@QuizActionType.DontKnow">I don't know</button>
                    }

                    @if (Model.CurrentQuestion == Model.TotalQuestionsCount)
                    {
                        @* <button class="btn btn-primary"> *@
                        @*     <a asp-controller="Home" asp-action="QuizCompleted" asp-route-quizId="@Model.QuizId" class="text-decoration-none text-white">Complete</a> *@
                        @* </button> *@
                        <button type="submit" class="btn btn-primary" asp-route-actionId="@QuizActionType.GoNextQuestion">Complete</button>
                    }
                    else
                    {
                        <button type="submit" class="btn btn-primary" asp-route-actionId="@QuizActionType.GoNextQuestion">Next question</button>
                    }

                </div>
            </div>
        </form>
    </div>
</div>